1. Firms
  2. Update a firm
PATCH
/v1/firms/{firmId}
curl --request PATCH \
     --url https://public-api.sandbox.remitian.com/v1/firms/{firmId} \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "name": "string",
  "settings": {
    "address": {
      "address1": "string",
      "address2": "string",
      "apartmentOrSuite": "string",
      "poBox": "string",
      "city": "string",
      "region": "string",
      "country": "string",
      "postalCode": "string"
    },
    "phone": "string",
    "website": "string",
    "referralCode": "string",
    "requireInternalApproval": true,
    "skipClientApproval": true,
    "primaryBrandColor": "string",
    "logoUrl": "string",
    "enableFirmUserNotifications": true,
    "enableTaxpayerNotifications": true
  }
}'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

firmId
required
string

Unique identifier of the firm.

x-api-key
required
string

API key of your Client Application.

​
Body

application/json
name
string

The name of the firm.

settings
object

Firm settings configuration.

​
Response

application/json
  • 400

  • 401

  • 403

  • 404

Bad Request: validation errors name the field in `errors`

type
string

Type error

title
string

Title error

status
integer

The HTTP status code

detail
string

Detail error

instance
string

Instance error

errors
object

Validation errors keyed by field name, present on 400 responses